local L = AceLibrary("AceLocale-2.2"):new("ag_UnitFrames")

aUF.Layouts.Classic = {
		Name = "Classic",
		Tip = "Classic MG look",
		ResizeBars = true,
		BackgroundBarColor = false,
		AlphaBar = false,
		RaidColorName == false,
		ComboGFX = false,
		ResizableBar = true,
		Border = "Classic",
		
		ThemeData = {
			all = {
				FrameHeight = 38,
				FrameWidth = 170,

				HitIndicator = {
					Point = "CENTER",
					RelativePoint = "CENTER",
					x = 1,
					y = 1,
				},

				Combo1 = 	{ 		Point = "BOTTOMRIGHT",
									RelativePoint = "BOTTOMRIGHT",
									x = 1,
									y = -1,
									Height = 10,
									HeightAdd = 0,
									Width = 10,
								},

				ComboText = 	{ 	Point = "TOPLEFT",
									RelativePoint = "TOPLEFT",
									x = 9,
									y = -14,
									Font = L["Fonts\\FRIZQT__.TTF"],
									FontSize = 9.5,
									Justify = "LEFT",
									Width = 60,
								},

				HealthBar_BG = 	{ 	Point = "TOPLEFT",
									RelativePoint = "TOPLEFT",
									x = 9,
									y = -25,
									Visibility = {"HealthBar_BG","HealthBar","BarHealthText","HealthText",},
									Height = 6,
									Width = 82,
									WidthFactor = 1,
									},

				ManaBar_BG = 	{	Point = "TOPLEFT",
									RelativePoint = "TOPLEFT",
									x = 9,
									y = -33,
									HeightAdd = 7,
									Visibility = {"ManaBar_BG","ManaBar","BarManaText","ManaText","ClassText",},
									Height = 6,
									Width = 82,
									WidthFactor = 1,
								},

				XPBar_BG = 		{	Point = "TOPLEFT",
									RelativePoint = "TOPLEFT",
									x = 9,
									y = -19,
									Visibility = {"XPBar_BG","XPBar","XPBar_Rest"},
									Width = 22,
									Height = 4,
									WidthFactor = 1,
								},

				CastBar_BG =	{	Hidden = true,
									Visibility = {"CastBar_BG","CastBar","CastText", "BarCastText" },
								},

				NameBackground=	{	Point = "TOPLEFT",
									RelativePoint = "TOPLEFT",
									x=6,
									y=-2,
									Height = 18,
									Width = 82,
								},
					Happiness =	{	Point = "TOPLEFT",
									RelativePoint = "TOPLEFT",
									x=6,
									y=-2,
									Height = 18,
									Width = 82,
									Visibility = {"Happiness",},
								},

				NameLabel = 	{ 	Type = "string",
									Font = L["Fonts\\FRIZQT__.TTF"],
									FontSize = 9.5,
									Width = 140,
									Point = "TOPLEFT",
									RelativePoint = "TOPLEFT",
									x =8,
									y =-9,
									Height = 1,
								},

				ClassText =	 	{ 	Type = "string",
									Font = L["Fonts\\FRIZQT__.TTF"],
									FontSize = 9,
									Justify = "RIGHT",
									Width = 100,
									Point = "TOPRIGHT",
									RelativePoint = "TOPRIGHT",
									x =-7,
									y =-18,
									Height = 1,
								},

				HealthText = 	{ 	Type = "string",
									Font = L["Fonts\\FRIZQT__.TTF"],
									FontSize = 8,
									Point = "TOPRIGHT",
									RelativePoint = "TOPRIGHT",
									x = -7,
									y = -27,
									Width = 60,
									Height = 1,
								},

				ManaText = 		{ 	Type = "string",
									Font = L["Fonts\\FRIZQT__.TTF"],
									FontSize = 8,
									Point = "TOPRIGHT",
									RelativePoint = "TOPRIGHT",
									x = -7,
									y = -34,
									Width = 60,
									Height = 1,
								},

				PVPIcon = 		{ 	Point = "TOPRIGHT",
									RelativePoint = "TOPRIGHT",
									x = 0,
									y= -3,
								},

				InCombatIcon = 		{ 	Point = "TOPRIGHT",
									RelativeTo = "PVPIcon",
									RelativePoint = "TOPLEFT",
									x = 0,
									y= 3,
								},

				RestingIcon = 		{ 	Point = "TOPRIGHT",
									RelativeTo = "PVPIcon",
									RelativePoint = "TOPLEFT",
									x = 0,
									y= 2,
								},

				RaidTargetIcon =	{	Point = "CENTER",
									RelativePoint = "TOP",
									x = 0,
									y = -3,
								},

				LeaderIcon = 	{ 	Point = "RIGHT",
									RelativeTo = "PVPIcon",
									RelativePoint = "LEFT",
									x = 60,
									y= -4,
								},

				MasterIcon = 	{ 	Point = "RIGHT",
									RelativeTo = "LeaderIcon",
									RelativePoint = "LEFT",
									x = 0,
									y= 0,
								},
				StatusText =	{	Hidden = false,
									Font = L["Fonts\\FRIZQT__.TTF"],
									FontSize = 9.5,
								},
				Portrait = 		{	Hidden = true,
									Visibility = {"Portrait","PortraitModel"}
								},

			},
			target = {
				ClassText =	 	{ 	Type = "string",
									Font = L["Fonts\\FRIZQT__.TTF"],
									FontSize = 9,
									Justify = "LEFT",
									Width = 140,
									Point = "TOPLEFT",
									RelativePoint = "TOPLEFT",
									x = 8,
									y = -18,
								},
				ComboText = 	{ 	Font = L["Fonts\\FRIZQT__.TTF"],
									FontSize = 9.5,
								},
			},
			targettarget = {
				ClassText =	 	{ 	Type = "string",
									Font = L["Fonts\\FRIZQT__.TTF"],
									FontSize = 9,
									Justify = "LEFT",
									Width = 140,
									Point = "TOPLEFT",
									RelativePoint = "TOPLEFT",
									x = 8,
									y = -18,
								},
				ComboText = 	{ 	Font = L["Fonts\\FRIZQT__.TTF"],
									FontSize = 9.5,
									Hidden = true,
								},
			},
		},
	}
